System.Core 4.0.0.0 System.Security.AccessControl.ObjectSecurity<System.IO.MemoryMappedFiles.MemoryMappedFileRights> System.IO.MemoryMappedFiles.MemoryMappedFileRights

The class specifies the access rights for a memory-mapped file and how access attempts are audited. This class represents access and audit rights as a set of rules.

The class is an abstraction of the underlying Microsoft Windows file security system. In this system. It hides many of the details of DACLs and SACLs.

Use the class to retrieve, add, or change the access rules that represent the DACL and SACL of a pipe.

To apply new or changed access or audit rules to a memory-mapped file, use the method. To retrieve access or audit rules from an existing file, use the method.

The following methods take a object as a parameter:

Represents the permissions that can be granted for file access and operations on memory-mapped files.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.